# ETableState

## Name

ETableState --

## Synopsis

    #define     E_TABLE_STATE_TYPE
    typedef     ETableState;
    ETableState* e_table_state_new              (void);
    gboolean    e_table_state_load_from_file    (ETableState *state,
                                                 const char *filename);
    void        e_table_state_load_from_string  (ETableState *state,
                                                 const char *xml);
    void        e_table_state_load_from_node    (ETableState *state,
                                                 const xmlNode *node);
    void        e_table_state_save_to_file      (ETableState *state,
                                                 const char *filename);
    char*       e_table_state_save_to_string    (ETableState *state);
    xmlNode*    e_table_state_save_to_node      (ETableState *state,
                                                 xmlNode *parent);

## Object Hierarchy

      GtkObject
       +----ETableState

## Description

## Details

### E_TABLE_STATE_TYPE

    #define E_TABLE_STATE_TYPE        (e_table_state_get_type ())

### ETableState

    typedef struct {
    	GtkObject base;

    	ETableSortInfo *sort_info;
    	int             col_count;
    	int            *columns;
    } ETableState;

### e_table_state_new ()

    ETableState* e_table_state_new              (void);

Returns : |

### e_table_state_load_from_file ()

    gboolean    e_table_state_load_from_file    (ETableState *state,
                                                 const char *filename);

`state` : |
`filename` : |
Returns : |

### e_table_state_load_from_string ()

    void        e_table_state_load_from_string  (ETableState *state,
                                                 const char *xml);

`state` : |
`xml` : |

### e_table_state_load_from_node ()

    void        e_table_state_load_from_node    (ETableState *state,
                                                 const xmlNode *node);

`state` : |
`node` : |

### e_table_state_save_to_file ()

    void        e_table_state_save_to_file      (ETableState *state,
                                                 const char *filename);

`state` : |
`filename` : |

### e_table_state_save_to_string ()

    char*       e_table_state_save_to_string    (ETableState *state);

`state` : |
Returns : |

### e_table_state_save_to_node ()

    xmlNode*    e_table_state_save_to_node      (ETableState *state,
                                                 xmlNode *parent);

`state` : |
`parent` : |
Returns : |